org.scalatest.events

# NameInfo

#### case class NameInfo (suiteName: String, suiteClassName: Option[String], testName: Option[String]) extends Product with Serializable

Class that holds information about names for an `InfoProvided` event.

An `InfoProvided` event may be fired from anywhere. In this respect `InfoProvided` is different from the other events, for which it is defined whether they are fired in the context of a suite or test. If fired in the context of a test, the `InfoProvided` event should include a `NameInfo` in which `testName` is defined. If fired in the context of a suite, but not a test, the `InfoProvided` event should include a `NameInfo` in which `testName` is not defined. If fired within the context of neither a suite nor a test, the `nameInfo` of the `InfoProvided` event (an `Option[NameInfo]`) should be `None`.

If either `suiteClassName` or `testName` is defined, then `suiteName` must be defined. The suite class name parameter is optional even if a suite name is provided by passing a `Some` as `suiteName`, because suites in ScalaTest are an abstraction that need not necessarily correspond to one class. Nevertheless, it most cases each suite will correspond to a class, and when it does, the fully qualified name of that class should be reported by passing a `Some` for `suiteClassName`. One use for this bit of information is JUnit integration, because the "name" provided to a JUnit `org.junit.runner.Description` appears to usually include a fully qualified class name by convention.

suiteName

  an optional name of the suite about which the information was provided

suiteClassName

  an optional fully qualifed `Suite` class name about which the information was provided

testName

  an optional name of the test about which the information was provided

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. NameInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NameInfo (suiteName: String, suiteClassName: Option[String], testName: Option[String])

   suiteName

     an optional name of the suite about which the information was provided

   suiteClassName

     an optional fully qualifed `Suite` class name about which the information was provided

   testName

     an optional name of the test about which the information was provided

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     NameInfo → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      NameInfo → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      NameInfo → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def productArity : Int

    Definition Classes
      NameInfo → Product

19. #### def productElement (arg0: Int): Any

    Definition Classes
      NameInfo → Product

20. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

21. #### def productPrefix : String

    Definition Classes
      NameInfo → Product

22. #### val suiteClassName : Option[String]

    an optional fully qualifed `Suite` class name about which the information was provided

23. #### val suiteName : String

    an optional name of the suite about which the information was provided

24. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

25. #### val testName : Option[String]

    an optional name of the test about which the information was provided

26. #### def toString (): String

    Definition Classes
      NameInfo → AnyRef → Any

27. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any